com.informix.jdbcx

## Class IfxXid

- java.lang.Object
- - com.informix.jdbcx.IfxXid

All Implemented Interfaces:
  javax.transaction.xa.Xid

    public class IfxXid
    extends java.lang.Object
    implements javax.transaction.xa.Xid

### Field Summary

Fields
`static int` `XIDDATASIZE`

### Fields inherited from interface javax.transaction.xa.Xid

`MAXBQUALSIZE, MAXGTRIDSIZE`

### Constructor Summary

Constructors
Constructor and Description
`IfxXid()`
`IfxXid(int formatId, byte[] gtrid, byte[] bqual)`
`IfxXid(int gtrid, int bqual)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static boolean` `equals(javax.transaction.xa.Xid Xid1, javax.transaction.xa.Xid Xid2)`
`byte[]` `getBranchQualifier()`
`int` `getFormatId()`
`byte[]` `getGlobalTransactionId()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### XIDDATASIZE

    public static final int XIDDATASIZE

See Also:
  Constant Field Values

### Constructor Detail

#### IfxXid

    public IfxXid()

#### IfxXid

    public IfxXid(int gtrid,
                  int bqual)

#### IfxXid

    public IfxXid(int formatId,
                  byte[] gtrid,
                  byte[] bqual)

### Method Detail

#### getFormatId

    public int getFormatId()

Specified by:
  `getFormatId` in interface `javax.transaction.xa.Xid`

#### getGlobalTransactionId

    public byte[] getGlobalTransactionId()

Specified by:
  `getGlobalTransactionId` in interface `javax.transaction.xa.Xid`

#### getBranchQualifier

    public byte[] getBranchQualifier()

Specified by:
  `getBranchQualifier` in interface `javax.transaction.xa.Xid`

#### equals

    public static boolean equals(javax.transaction.xa.Xid Xid1,
                                 javax.transaction.xa.Xid Xid2)